new_inode
Prev | Inode Handling | Next

## Name

new_inode — obtain an inode

## Synopsis

`struct inode * new_inode (` | struct super_block * | sb`)`;

## Arguments

`sb`

  superblock

## Description

Allocates a new inode for given superblock. The default gfp_mask for allocations related to inode->i_mapping is GFP_HIGHUSER_PAGECACHE. If HIGHMEM pages are unsuitable or it is known that pages allocated for the page cache are not reclaimable or migratable, `mapping_set_gfp_mask` must be called with suitable flags on the newly created inode's mapping

Prev | Up | Next
invalidate_inodes | Home | iunique